using UnityEngine;
using System.Collections;

public class EnemySpawner : MonoBehaviour {
	
	public GameObject[] enemy;
	public GameObject[] friends;
	private float lastEnemySpawnTime=0f;
	private float lastFriendSpawnTime=0f;
	
	
	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
		
		if(Time.time > lastEnemySpawnTime + 1){
			
			
			GameObject.Instantiate(enemy[Random.Range(0,enemy.Length)],new Vector3(Random.Range(-150,150),Random.Range(230,280),0),new Quaternion(0,0,0,0));
			lastEnemySpawnTime = Time.time;
		}
		
		if(Time.time > lastFriendSpawnTime + (Random.Range(4,7))){
			
			GameObject.Instantiate(friends[Random.Range(0,friends.Length)],new Vector3(Random.Range(-140,160),Random.Range(250,300),0),new Quaternion(0,0,0,0));
			lastFriendSpawnTime = Time.time;
		}
		
		
	}
}
