using UnityEngine;
using System.Collections;

public class EnemyBehaviour : MonoBehaviour {
	
	private float spawnTime;
	private float timeToLive=10f;
	private bool destroyMe = false;
	
	public float life = 5;
	public float points = 100; 
	private GameObject score;
	
	// Use this for initialization
	void Start () {
		spawnTime = Time.time;
		score = GameObject.FindGameObjectWithTag("score");
	}
	
	// Update is called once per frame
	void Update () {
	
		
		//avoid poneys goes in depth of field, where player can't shoot them
		if(this.transform.position.z > 0.5 || this.transform.position.z < 0.5 ){
			this.transform.position = new Vector3(this.transform.position.x,this.transform.position.y,0);
		}
		
		if(life <= 0){
			((TextMesh)score.GetComponent("TextMesh")).text = ""+(float.Parse(((TextMesh)score.GetComponent("TextMesh")).text ) +points);
			destroyMe=true;
		}
		
		if( Time.time > spawnTime + timeToLive || destroyMe){
			GameObject.Destroy(this.gameObject);
		}
		
	}
	
	public void hitEnemy(float amount){
		this.life -= amount;
		Debug.Log(this.life);
	}
	
	
}
