using UnityEngine;
using System.Collections;

public class projectileBehaviour : MonoBehaviour {
	
	private float spawnTime;
	public float timeToLive=3;
	private RaycastHit hit;
	public float hitRange;
	private EnemyBehaviour enemy;
	
	public GameObject explosion;
	
	
	// Use this for initialization
	void Start () {
		spawnTime = Time.time;
		hitRange=9f;
	}
	
	// Update is called once per frame
	void Update () {
		
		this.transform.Translate(Vector3.up * Time.deltaTime*200);	//force with wich projectile is launched
		
		if( Time.time > spawnTime + timeToLive){
			GameObject.Destroy(this.gameObject);
			
		}
		
		if(Physics.SphereCast(this.transform.position,1f,new Vector3(this.transform.localPosition.x,this.transform.localPosition.y+2,this.transform.localPosition.z), out hit,hitRange)){
			
			//if this something is an enemy
			if(hit.transform.tag == "enemy"){
				enemy = (EnemyBehaviour)hit.transform.gameObject.GetComponent("EnemyBehaviour");
				enemy.hitEnemy(20);
				GameObject.Destroy(this.gameObject);
				//GameObject.Destroy(hit.transform.gameObject);
				GameObject.Instantiate(explosion,hit.point,new Quaternion(0,0,0,0));
				//score.score += 5;
				
			}
		}
        
	}
	
	
}
